#include "logic.h"
#include "VSMT_Unload.h"
#include "vst_wait_transfer_ex.h"

VSMT_Unload::VSMT_Unload(int iID, const QString& sName)
    : VSMT_Base(iID, sName)
{

}

QDomElement VSMT_Unload::WriteConfig(QDomDocument &doc, QDomElement &root)
{
    return CBase::WriteConfig(doc, root);
}

int VSMT_Unload::ReadConfig(QDomElement &root)
{
    return CBase::ReadConfig(root);
}

void VSMT_Unload::Serialize(QDataStream &stream, bool bwrite, int iVersion)
{
    CBase::Serialize(stream, bwrite, iVersion);
}

void VSMT_Unload::init_Machine()
{
    
    m_pState_Wait = new VST_Wait_TransferEx(VarState_Wait_Transfer, QObject::trUtf8("Unload Wait"), this);

    VSMT_Base::init_Machine();
}
